Applets Do Not Load and ERROR "You Need an Updated Version of Java to Run Primavera P6. Click OK to install." Is Displayed When Using JRE 8u101 (Doc ID 2184756.1)

Last updated on SEPTEMBER 28, 2016

Applies to:

Primavera P6 Enterprise Project Portfolio Management Cloud Service - Version 16.1.0.0 to 16.1.2.0 [Release 16.1]
Primavera P6 Enterprise Project Portfolio Management - Version 16.1.0.0 to 16.1.2.0 [Release 16.1]
Information in this document applies to any platform.

Symptoms

ACTUAL BEHAVIOR

When running P6 Web application with JRE 8u101 (1.8.0_101), the applets are not loading.

ADDITIONAL

A pop-up with message "You need an updated version of Java to run Primavera P6. Click OK to install." is displayed.

EXPECTED BEHAVIOR

For applets to load when running P6Web application with JRE 8u101

STEPS

The issue can be reproduced at will with the following steps:
1. Login to P6 Web
2. Observe the "You need an updated version of Java...." message.
3. Attempt to load an applet (Example:  Administer > User Access) and observe the page is blank.


Due to this issue, the user cannot view applets when using P6WEb 16.1.2.0 (and prior) with JRE 8u101.

Changes

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms